Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 12 Jul 2021 05:49:02 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear Home Centre,

Hope you are well, 

I ordered 8275854196 last Sunday 4th Jul 21 and was guaranteed the items would be delivered the following Wednesday. The order was never delivered and the driver rang at 10:40 on Wednesday to say he couldn't deliver it and he would deliver it the next day. I awaited his call to ring me on Thursday he never did. I called him twice on Thursday, he never answered. On Saturday he calls me to deliver and I told him to return the items back to the store as I needed the items the latest on Thursday. Since I never received the items, I would like a refund. Also, I rang the two customer service landlines and nobody picked up so i'm hoping you can refund me the money back. 

Appreciate your help. 

Regards, 

Hani Naser https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2841410